Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Format

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Format

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieFormat

    public class Format

extends TieSystemObject

The Format class represents the known formats of document content. Examples of formats are type of word processor file, or a specific encoding of video. The format is used to determine how best to store and retrieve a document's content, as well as how a client should render it. The format class maintains the content MIME type, which is used by web browsers and other internet clients.

You should specify a document's format whenever you create a document with content. Two collections of formats can be retrieved from the current LibrarySession. The collections contain the same formats; one allows a lookup by format name, and the other by format file extension (for example, "html").

Note that you need to have admin privileges to create or modify document formats.

See Also:
  `Document`
(Published)

Field Summary
`static java.lang.String` | `BINARY_ATTRIBUTE` An indicator of whether this Format is textual or binary.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DEFAULT_FORMAT_NAME` Name of the default format that is used when the extension is not known.
`static java.lang.String` | `EXTENSION_ATTRIBUTE` A three letter file extension associated with this Format (e.g.
`static java.lang.String` | `INDEXED_ATTRIBUTE` Whether content is full-text indexed.
`static java.lang.String` | `MIMETYPE_ATTRIBUTE` The MIME type of this Format (e.g.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of this Format (e.g.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Format(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a Format object - standard variant.

Method Summary
`protected static Format` | `constructFormat(LibrarySession sess, S_LibraryObjectData data)` constructFormat - FixmeJavadocMethod
`protected static java.util.Vector` | `constructFormatVector(LibrarySession sess, java.util.Vector vector)` constructFormatVector - FixmeJavadocMethod
`static Format[]` | `findAll(LibrarySession session)` Returns the set of defined Formats.
`static Format` | `findByExtension(LibrarySession session, java.lang.String extension)` Returns the a Format matching the specified extension.
`static Format` | `findByName(LibrarySession session, java.lang.String name)` Returns the a Format matching the specified name.
`static java.lang.Long` | `getClassId(LibrarySession session)` Get the ID of the ClassObject representing FORMAT.
`static Format` | `getDefaultFormat(LibrarySession session)` Gets the "default" format, to be used when no existing format matches identification criteria (e.g.
`java.lang.String` | `getExtension()` returns the local file extension associated with this Format.
`static Format` | `getFormatByFilename(LibrarySession session, java.lang.String filename)` Derives a format based on the extension of the given filename.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find Format instances by name.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCacheByExtension(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find Format instances by EXTENSION.
`java.lang.String` | `getMimeType()` returns the MIME type of this Format
`boolean` | `hasNameAttribute()` Override to return true for any PublicObject, indicating that the instance has a NAME attribute.
`boolean` | `isBinary()` returns true if this format describes binary content, false if text.
`boolean` | `isIndexed()` Gets whether content is indexed.
`void` | `setBinary(boolean isBinary)` Marks this format as either binary (true) or text (false)
`void` | `setExtension(java.lang.String FileExtension)` Associates a local file extension with this Format.
`void` | `setMimeType(java.lang.String mimeType)` Associates MIME type with this Format.
`protected static Format` | `vectorFormatElement(java.util.Vector vector, int index)` Returns a Format from a vector of Formats
`protected static Format[]` | `vectorToFormatArray(java.util.Vector vector)` Constructs an array of Format's from a vector of Formats

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Format`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `Format`
  The name of this Format (e.g. Text).

  See Also:
    Constant Field Values
  (Published)

### MIMETYPE_ATTRIBUTE

    public static final java.lang.String MIMETYPE_ATTRIBUTE

  Description copied from class: `Format`
  The MIME type of this Format (e.g. text/html).

  See Also:
    Constant Field Values
  (Published)

### BINARY_ATTRIBUTE

    public static final java.lang.String BINARY_ATTRIBUTE

  Description copied from class: `Format`
  An indicator of whether this Format is textual or binary.

  See Also:
    Constant Field Values
  (Published)

### INDEXED_ATTRIBUTE

    public static final java.lang.String INDEXED_ATTRIBUTE

  Description copied from class: `Format`
  Whether content is full-text indexed.

  See Also:
    Constant Field Values
  (Published)

### EXTENSION_ATTRIBUTE

    public static final java.lang.String EXTENSION_ATTRIBUTE

  Description copied from class: `Format`
  A three letter file extension associated with this Format (e.g. txt).

  See Also:
    Constant Field Values
  (Published)

### DEFAULT_FORMAT_NAME

    public static final java.lang.String DEFAULT_FORMAT_NAME

  Description copied from class: `Format`
  Name of the default format that is used when the extension is not known.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Format

    protected Format(LibrarySession session,
                     java.lang.Long id,
                     java.lang.Long classId,
                     S_LibraryObjectData data)
              throws IfsException

  Construct a Format object - standard variant.

  Parameters:
    `session` - current session context
    `id` - object ID
    `classId` - object's Class ID
    `data` - the object's data
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### getClassId

    public static java.lang.Long getClassId(LibrarySession session)
                                     throws IfsException

  Description copied from class: `Format`
  Get the ID of the ClassObject representing FORMAT.

  Parameters:
    `session` - the session context
  Returns:
    the ID of the FORMAT ClassObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `Format`
  Override to return true for any PublicObject, indicating that the instance has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getExtension

    public java.lang.String getExtension()
                                  throws IfsException

  Description copied from class: `Format`
  returns the local file extension associated with this Format.

  Returns:
    the local file extension associated with this Format.
  Throws:
    `IfsException` - on failure
  (Published)

### setExtension

    public void setExtension(java.lang.String FileExtension)
                      throws IfsException

  Description copied from class: `Format`
  Associates a local file extension with this Format. Formats are associated with one extension only.

  Parameters:
    `FileExtension` - a file extension to associate with this Format.
  Throws:
    `IfsException` - on failure
  (Published)

### isBinary

    public boolean isBinary()
                     throws IfsException

  Description copied from class: `Format`
  returns true if this format describes binary content, false if text.

  Returns:
    true if this format describes binary content, false if text.
  Throws:
    `IfsException` - on failure
  (Published)

### setBinary

    public void setBinary(boolean isBinary)
                   throws IfsException

  Description copied from class: `Format`
  Marks this format as either binary (true) or text (false)

  Parameters:
    `isBinary` - true if binary, false if text
  Throws:
    `IfsException` - on failure
  (Published)

### isIndexed

    public boolean isIndexed()
                      throws IfsException

  Description copied from class: `Format`
  Gets whether content is indexed.

  Returns:
    whether indexed
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getMimeType

    public java.lang.String getMimeType()
                                 throws IfsException

  Description copied from class: `Format`
  returns the MIME type of this Format

  Returns:
    the MIME type of this Format
  Throws:
    `IfsException` - on failure
  (Published)

### setMimeType

    public void setMimeType(java.lang.String mimeType)
                     throws IfsException

  Description copied from class: `Format`
  Associates MIME type with this Format.

  Parameters:
    `mimeType` - a MIME type to associate with this Format.
  Throws:
    `IfsExc2Yeption` - on failure
    `IfsException`
  (Published)

### getFormatByFilename

    public static Format getFormatByFilename(LibrarySession session,
                                             java.lang.String filename)
                                      throws IfsException

  Description copied from class: `Format`
  Derives a format based on the extension of the given filename.

  Parameters:
    `session` - the session context
    `filename` - the filename to map to a Format
  Returns:
    the Format based on the file extension of the given filename, or the "bin" Format if no Format maps to the filename.
  Throws:
    `IfsException` - if the "bin" Format could not be found, or if an error occurs
  (Unpublished)

### getDefaultFormat

    public static Format getDefaultFormat(LibrarySession session)
                                   throws IfsException

  Description copied from class: `Format`
  Gets the "default" format, to be used when no existing format matches identification criteria (e.g. file extension or mime type).

  Parameters:
    `session` - the session context
  Returns:
    the default Format
  Throws:
    `IfsException` - if the default Format is not present, or if an error occurs
  (Unpublished)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `Format`
  Returns the LibraryObjectLookupCache used by find Format instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### getLibraryObjectLookupCacheByExtension

    public static LibraryObjectLookupCache getLibraryObjectLookupCacheByExtension(LibrarySessionInterface session)
                                                                           throws IfsException

  Description copied from class: `Format`
  Returns the LibraryObjectLookupCache used by find Format instances by EXTENSION.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static Format[] findAll(LibrarySession session)
                            throws IfsException

  Description copied from class: `Format`
  Returns the set of defined Formats.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of Formats; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static Format findByName(LibrarySession session,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `Format`
  Returns the a Format matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the Format name
  Returns:
    the Format matching the specified name; or null if there exists no matching Format
  Throws:
    `IfsException` - if the operation fails.

### findByExtension

    public static Format findByExtension(LibrarySession session,
                                         java.lang.String extension)
                                  throws IfsException

  Description copied from class: `Format`
  Returns the a Format matching the specified extension.

  Parameters:
    `session` - the session context
    `extension` - the Format extension
  Returns:
    the Format matching the specified extension; or null if there exists no matching Format
  Throws:
    `IfsException` - if the operation fails.

### constructFormatVector

    protected static java.util.Vector constructFormatVector(LibrarySession sess,
                                                            java.util.Vector vector)
                                                     throws IfsException

  Description copied from class: `Format`
  constructFormatVector - FixmeJavadocMethod

  Parameters:
    `sess` - - FixmeJavadocParam
    `vector` - - FixmeJavadocParam
  Returns:
    Vector - FixmeJavadocReturn
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructFormat

    protected static Format constructFormat(LibrarySession sess,
                                            S_LibraryObjectData data)
                                     throws IfsException

  Description copied from class: `Format`
  constructFormat - FixmeJavadocMethod

  Parameters:
    `sess` - - FixmeJavadocParam
    `data` - - FixmeJavadocParam
  Returns:
    Format - FixmeJavadocReturn
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### vectorToFormatArray

    protected static Format[] vectorToFormatArray(java.util.Vector vector)

  Description copied from class: `Format`
  Constructs an array of Format's from a vector of Formats

  Parameters:
    `vector` - - FixmeJavadocParam
  Returns:
    Format[] - FixmeJavadocReturn
  (Unpublished)

### vectorFormatElement

    protected static Format vectorFormatElement(java.util.Vector vector,
                                                int index)

  Description copied from class: `Format`
  Returns a Format from a vector of Formats

  Parameters:
    `vector` - - FixmeJavadocParam
    `index` - - FixmeJavadocParam
  Returns:
    Format - FixmeJavadocReturn
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD